Skip to main content
Client Groups

Create a new client group

Create a new client group. This method requires the ClientGroups:Create permission to be associated with your role.

POST
/fm/client-groups
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd

Body

application/json

JSON payload

client_group_codestringdefault:required

A unique code for the client group

Example: CLGRP
client_group_id_externalstringdefault:

Not mandatory but highly recommended

Example: 987654
namestringdefault:required
Example: clientGroupName

Response

application/vnd.catch-e-api.v1+json

Success

abnstring
Example: 99 888 777 999
acnstring
Example: 888 777 999
address1string
Example: addressOne
address2string
Example: addressTwo
areastring
Example: suburb
billing_emailstring
Example: accounts@abcgroup.com.au
client_group_codestring
Example: CLGRP
client_group_idstring
client_group_id_externalstring
Example: 987654
contactstring
Example: contactName
namestring
Example: clientGroupName
postcodestring
Example: 3173
stateenum<string>
Available options: VIC, NSW, ACT, QLD, WA, SA, TAS, NT, NZ
Example: VIC